package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.TEnterpriseProduct;
import com.nantian.cloud.dbcapp.mapper.record.TEnterpriseProductMapper;
import com.nantian.cloud.dbcapp.service.TEnterpriseProductService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("TEnterpriseProductService")
public class TEnterpriseProductImpl extends ServiceImpl<TEnterpriseProductMapper, TEnterpriseProduct> implements TEnterpriseProductService {
    @Override
    public Map<String, Object> getList(String epc) {
        Map<String,Object> map = new HashMap<>();
        List<Map<String, Object>> list = baseMapper.getList(epc);
        map.put("list",list);
        return map;
    }

    @Override
    public Map<String, Object> getListByProductName(String productName) {
        Map<String,Object> map = new HashMap<>();
        List<Map<String, Object>> list =baseMapper.getListByProductName(productName);
        map.put("data",list);
        return map;
    }
}
